package Business::ID::BCA;

use 5.010001;
use strict;
use warnings;

use Perinci::Sub::Gen::AccessTable qw(gen_read_table_func);

our $VERSION = '0.02'; # VERSION

our %SPEC;

our @ISA       = qw(Exporter);
our @EXPORT_OK = qw(parse_bca_account);

#BEGIN SNIPPET id=data
# note: This section is generated by a script. Do not edit manually!
# src-file: /mnt/home/s1/repos/gudangdata/table/bca_branch/data.csv
# src-revision: 9224eb536d870734a1760dacf2d6c23b406bfd4d
# revision-date: Thu Apr 25 09:00:40 2013 +0700
# generate-date: Thu Apr 25 11:04:49 2013
# generated-by: /mnt/home/s1/repos/gudangdata/bin/gen-perl-data-snippet
our $data = [
    ['001','KCU KANTOR PUSAT OPS.','JAKARTA','','2013-04-25',''],
    ['002','KCU PASAR BARU','JAKARTA','','2013-04-25',''],
    ['003','KCU GUNSA 45','JAKARTA','','2013-04-25',''],
    ['004','KCP Regional Tanah Abang','JAKARTA','','2013-04-25',''],
    ['005','KCU WISMA MILLENIA','JAKARTA','','2013-04-25',''],
    ['006','KCU WISMA GKBI','JAKARTA','','2013-04-25',''],
    ['007','KCU TANJUNG PRIOK','JAKARTA','','2013-04-25',''],
    ['012','KCU GAJAH MADA','JAKARTA','','2013-04-25',''],
    ['028','KCU WAHID HASYIM','JAKARTA','','2013-04-25',''],
    ['035','KCU SUDIRMAN','JAKARTA','','2013-04-25',''],
    ['065','KCU KELAPA GADING','JAKARTA','','2013-04-25',''],
    ['068','KCP Pasar Kenari','JAKARTA','','2013-04-25',''],
    ['069','KCP Muara Karang','JAKARTA','','2013-04-25',''],
    ['070','KCP Melawai','JAKARTA','','2013-04-25',''],
    ['071','KCP Fatmawati','JAKARTA','','2013-04-25',''],
    ['073','KCP Tomang Tol','JAKARTA','','2013-04-25',''],
    ['074','KCP Jembatan Dua','JAKARTA','','2013-04-25',''],
    ['075','KCP Sabang','JAKARTA','','2013-04-25',''],
    ['076','KCP Tanjung Duren','JAKARTA','','2013-04-25',''],
    ['082','KCP Glodok Plaza','JAKARTA','','2013-04-25',''],
    ['083','KCP Jayakarta','JAKARTA','','2013-04-25',''],
    ['084','KCU WISMA ASIA','JAKARTA','','2013-04-25',''],
    ['091','KCP Senen','JAKARTA','','2013-04-25',''],
    ['092','KCP Tebet','JAKARTA','','2013-04-25',''],
    ['093','KCP Sunter','JAKARTA','','2013-04-25',''],
    ['094','KCP Rawamangun','JAKARTA','','2013-04-25',''],
    ['105','KCP Jembatan Lima','JAKARTA','','2013-04-25',''],
    ['106','KCP Pintu Air','JAKARTA','','2013-04-25',''],
    ['111','KCP Penjernihan','JAKARTA','','2013-04-25',''],
    ['127','KCP Kepa Duri','JAKARTA','','2013-04-25',''],
    ['128','KCP Pasar Minggu','JAKARTA','','2013-04-25',''],
    ['145','KCP Gatot Subroto','JAKARTA','','2013-04-25',''],
    ['160','KCP Mangga Dua','JAKARTA','','2013-04-25',''],
    ['161','KCP Mangga Besar','JAKARTA','','2013-04-25',''],
    ['162','KCP Taman Ratu','JAKARTA','','2013-04-25',''],
    ['164','KCP Kalimalang','JAKARTA','','2013-04-25',''],
    ['165','KCP Kramat Jati','JAKARTA','','2013-04-25',''],
    ['168','KCU PLUIT','JAKARTA','','2013-04-25',''],
    ['178','KCP Permata Hijau','JAKARTA','','2013-04-25',''],
    ['179','KCP KHM Mansyur','JAKARTA','','2013-04-25',''],
    ['194','KCU PANGERAN JAYAKARTA','JAKARTA','','2013-04-25',''],
    ['198','KCU DAAN MOGOT','JAKARTA','','2013-04-25',''],
    ['210','KCP Monginsidi','JAKARTA','','2013-04-25',''],
    ['211','KCP Ancol','JAKARTA','','2013-04-25',''],
    ['212','KCP Gunung Sahari','JAKARTA','','2013-04-25',''],
    ['217','KCU KUNINGAN','JAKARTA','','2013-04-25',''],
    ['218','KCU BLOK A CIPETE','JAKARTA','','2013-04-25',''],
    ['219','KCP Radio Dalam','JAKARTA','','2013-04-25',''],
    ['221','KCP Menara Imperium','JAKARTA','','2013-04-25',''],
    ['224','KCP Batu Ceper','JAKARTA','','2013-04-25',''],
    ['227','KCP Kelapa Gading','JAKARTA','','2013-04-25',''],
    ['228','KCP Mayestik','JAKARTA','','2013-04-25',''],
    ['229','KCP Palmerah','JAKARTA','','2013-04-25',''],
    ['230','KCU KALIMALANG','JAKARTA','','2013-04-25',''],
    ['237','KCP Pondok Indah','JAKARTA','','2013-04-25',''],
    ['240','KCP Cengkeh','JAKARTA','','2013-04-25',''],
    ['241','KCP Jembatan Merah','JAKARTA','','2013-04-25',''],
    ['244','KCP Pluit Kencana','JAKARTA','','2013-04-25',''],
    ['248','KCP Pasar Kebayoran Lama','JAKARTA','','2013-04-25',''],
    ['253','KCU GREEN GARDEN','JAKARTA','','2013-04-25',''],
    ['255','KCP Menara Mulia','JAKARTA','','2013-04-25',''],
    ['260','KCP Grogol Permai','JAKARTA','','2013-04-25',''],
    ['261','KCU SURYOPRANOTO','JAKARTA','','2013-04-25',''],
    ['262','KCP Hasyim Ashari','JAKARTA','','2013-04-25',''],
    ['268','KCP Grogol Muwardi','JAKARTA','','2013-04-25',''],
    ['270','KCP Roxi Mas','JAKARTA','','2013-04-25',''],
    ['272','KCP Gudang Peluru','JAKARTA','','2013-04-25',''],
    ['273','KCP Dewi Sartika','JAKARTA','','2013-04-25',''],
    ['274','KCP Pondok Bambu','JAKARTA','','2013-04-25',''],
    ['275','KCP Pulogadung','JAKARTA','','2013-04-25',''],
    ['276','KCP Cempaka Putih','JAKARTA','','2013-04-25',''],
    ['277','KCU TAMAN DUTA MAS','JAKARTA','','2013-04-25',''],
    ['284','KCP Sawah Besar','JAKARTA','','2013-04-25',''],
    ['285','KCP Taman Sari','JAKARTA','','2013-04-25',''],
    ['286','KCP Kemang','JAKARTA','','2013-04-25',''],
    ['287','KCP Kebon Jeruk','JAKARTA','','2013-04-25',''],
    ['288','KCU PURI INDAH','JAKARTA','','2013-04-25',''],
    ['291','KCU ARTERI PONDOK INDAH','JAKARTA','','2013-04-25',''],
    ['301','KCP Bendungan Hilir','JAKARTA','','2013-04-25',''],
    ['305','KCP Pasar Cikini','JAKARTA','','2013-04-25',''],
    ['307','KCP Mandala','JAKARTA','','2013-04-25',''],
    ['308','KCP Duta Merlin','JAKARTA','','2013-04-25',''],
    ['309','KCP Kedoya Baru','JAKARTA','','2013-04-25',''],
    ['310','KCP Tomang Raya','JAKARTA','','2013-04-25',''],
    ['311','KCP Latumenten','JAKARTA','','2013-04-25',''],
    ['313','KCP Kapuk Kamal','JAKARTA','','2013-04-25',''],
    ['319','KCU WISMA 46','JAKARTA','','2013-04-25',''],
    ['335','KCU MANGGA DUA RAYA','JAKARTA','','2013-04-25',''],
    ['336','KCP Tanah Abang Zona 3','JAKARTA','','2013-04-25',''],
    ['342','KCU MATRAMAN','JAKARTA','','2013-04-25',''],
    ['350','KCP Hayam Wuruk','JAKARTA','','2013-04-25',''],
    ['369','KCP Pasar Tanah Abang','JAKARTA','','2013-04-25',''],
    ['370','KCP Karang Anyar','JAKARTA','','2013-04-25',''],
    ['372','KCU KEDOYA PERMAI','JAKARTA','','2013-04-25',''],
    ['373','KCP Roxy Square','JAKARTA','','2013-04-25',''],
    ['375','KCP Graha Inti Fauzi','JAKARTA','','2013-04-25',''],
    ['386','KCP Pluit Timur','JAKARTA','','2013-04-25',''],
    ['391','KCP Bungur','JAKARTA','','2013-04-25',''],
    ['397','KCP Cideng Barat','JAKARTA','','2013-04-25',''],
    ['398','KCP Mandala Raya','JAKARTA','','2013-04-25',''],
    ['399','KCP Citra Garden','JAKARTA','','2013-04-25',''],
    ['401','KCP Ketapang','JAKARTA','','2013-04-25',''],
    ['407','KCP Muara Karang 3','JAKARTA','','2013-04-25',''],
    ['408','KCP Kapuk Muara','JAKARTA','','2013-04-25',''],
    ['412','KCP Klender','JAKARTA','','2013-04-25',''],
    ['413','KCP Kelapa Gading Villa','JAKARTA','','2013-04-25',''],
    ['414','KCP Kramat Jaya','JAKARTA','','2013-04-25',''],
    ['419','KCP Sunter Danau','JAKARTA','','2013-04-25',''],
    ['428','KCU SUNTER MALL','JAKARTA','','2013-04-25',''],
    ['436','KCP Tebet Barat','JAKARTA','','2013-04-25',''],
    ['441','KCP Plaza Sentral','JAKARTA','','2013-04-25',''],
    ['450','KCU MENARA BIDAKARA','JAKARTA','','2013-04-25',''],
    ['455','KCP Gondongdia Lama','JAKARTA','','2013-04-25',''],
    ['458','KCP Bursa Efek Jakarta','JAKARTA','','2013-04-25',''],
    ['459','KCP Wisma Indocement','JAKARTA','','2013-04-25',''],
    ['466','KCP Mal Ciputra','JAKARTA','','2013-04-25',''],
    ['467','KCP Mal Taman Anggrek','JAKARTA','','2013-04-25',''],
    ['475','KCP Ciputat 2','JAKARTA','','2013-04-25',''],
    ['476','KCP Pasar Cipulir','JAKARTA','','2013-04-25',''],
    ['477','KCP Samanhudi','JAKARTA','','2013-04-25',''],
    ['478','KCP Wahid Hasyim','JAKARTA','','2013-04-25',''],
    ['479','KCP Bojong Indah','JAKARTA','','2013-04-25',''],
    ['480','KCP Mangga Dua ITC','JAKARTA','','2013-04-25',''],
    ['481','KCP Teluk Mas','JAKARTA','','2013-04-25',''],
    ['482','KCP Untar I','JAKARTA','','2013-04-25',''],
    ['483','KCP Untar II','JAKARTA','','2013-04-25',''],
    ['484','KCP Keamanan','JAKARTA','','2013-04-25',''],
    ['485','KCP Lokasari','JAKARTA','','2013-04-25',''],
    ['487','KCP Pademangan','JAKARTA','','2013-04-25',''],
    ['488','KCP Jelambar','JAKARTA','','2013-04-25',''],
    ['489','KCP Taman Aries','JAKARTA','','2013-04-25',''],
    ['490','KCP Taman Permata Buana','JAKARTA','','2013-04-25',''],
    ['491','KCP Wisma Relasi','JAKARTA','','2013-04-25',''],
    ['494','KCP Alaydrus','JAKARTA','','2013-04-25',''],
    ['496','KCP Jatinegara Timur','JAKARTA','','2013-04-25',''],
    ['498','KCP Gedung Hijau','JAKARTA','','2013-04-25',''],
    ['5000','KCP Taman Sunter Indah','JAKARTA','','2013-04-25',''],
    ['5010','KCP Bintaro','JAKARTA','','2013-04-25',''],
    ['5020','KCP Graha Paramita','JAKARTA','','2013-04-25',''],
    ['5025','KCP Grha Surya','JAKARTA','','2013-04-25',''],
    ['5040','KCP Adhi Graha','JAKARTA','','2013-04-25',''],
    ['5050','KCP ITC Permata Hijau','JAKARTA','','2013-04-25',''],
    ['5230','KCP Hasanudin','JAKARTA','','2013-04-25',''],
    ['5240','KCP Wolter Mongisidi','JAKARTA','','2013-04-25',''],
    ['5250','KCP Ratu Plaza','JAKARTA','','2013-04-25',''],
    ['5260','KCP KS Tubun','JAKARTA','','2013-04-25',''],
    ['5270','KCP Bina Nusantara','JAKARTA','','2013-04-25',''],
    ['5280','KCP Jelambar Baru Raya','JAKARTA','','2013-04-25',''],
    ['5290','KCP Pejagalan','JAKARTA','','2013-04-25',''],
    ['5300','KCP Perniagaan Timur','JAKARTA','','2013-04-25',''],
    ['5310','KCP Taman Kencana','JAKARTA','','2013-04-25',''],
    ['5320','KCP Telepon Kota','JAKARTA','','2013-04-25',''],
    ['5330','KCP ITC Roxy Mas II','JAKARTA','','2013-04-25',''],
    ['5340','KCP Pinangsia','JAKARTA','','2013-04-25',''],
    ['5350','KCP Juanda III','JAKARTA','','2013-04-25',''],
    ['5360','KCP Metro Pasar Baru','JAKARTA','','2013-04-25',''],
    ['5370','KCP Grogol','JAKARTA','','2013-04-25',''],
    ['5375','KCP Pacific Place','JAKARTA','','2013-04-25',''],
    ['5380','KCP Taman Harapan Indah','JAKARTA','','2013-04-25',''],
    ['5390','KCP Citra Garden II','JAKARTA','','2013-04-25',''],
    ['5415','KCP Mall Grand Indonesia','JAKARTA','','2013-04-25',''],
    ['5440','KCP Biak','JAKARTA','','2013-04-25',''],
    ['5450','KCP ITC Roxi Mas','JAKARTA','','2013-04-25',''],
    ['5460','KCP Menara Batavia','JAKARTA','','2013-04-25',''],
    ['5470','KCP Pasar Minggu Center','JAKARTA','','2013-04-25',''],
    ['5490','KCP Taman Semanan Indah','JAKARTA','','2013-04-25',''],
    ['5500','KCP Kemanggisan','JAKARTA','','2013-04-25',''],
    ['5520','KCP Warung Buncit','JAKARTA','','2013-04-25',''],
    ['5530','KCP Otista','JAKARTA','','2013-04-25',''],
    ['5540','KCP Sejati Mulia','JAKARTA','','2013-04-25',''],
    ['5660','KCP Panglima Polim Raya','JAKARTA','','2013-04-25',''],
    ['5700','KCP HR. Rasuna Said','JAKARTA','','2013-04-25',''],
    ['5710','KCP Kyai Caringin','JAKARTA','','2013-04-25',''],
    ['5730','KCP Cempaka Putih Permai','JAKARTA','','2013-04-25',''],
    ['5740','KCP Pasar Jatinegara','JAKARTA','','2013-04-25',''],
    ['5750','KCP Saharjo','JAKARTA','','2013-04-25',''],
    ['5790','KCP Rawasari','JAKARTA','','2013-04-25',''],
    ['5800','KCP Utan Kayu','JAKARTA','','2013-04-25',''],
    ['5810','KCP Pluit Mega Mal','JAKARTA','','2013-04-25',''],
    ['5820','KCP Sunter Bisma','JAKARTA','','2013-04-25',''],
    ['5830','KCP Bandengan Utara Raya','JAKARTA','','2013-04-25',''],
    ['5850','KCP Angke','JAKARTA','','2013-04-25',''],
    ['5860','KCP KHM Manyur II','JAKARTA','','2013-04-25',''],
    ['5870','KCP Pembangunan','JAKARTA','','2013-04-25',''],
    ['5880','KCP Mangga Besar Raya','JAKARTA','','2013-04-25',''],
    ['5890','KCP Pecenongan','JAKARTA','','2013-04-25',''],
    ['5910','KCP Mangga Dua Square','JAKARTA','','2013-04-25',''],
    ['5920','KCP Kaveling Polri','JAKARTA','','2013-04-25',''],
    ['5930','KCP Kosambi','JAKARTA','','2013-04-25',''],
    ['5980','KCP Cideng Timur','JAKARTA','','2013-04-25',''],
    ['5990','KCP Jamblang','JAKARTA','','2013-04-25',''],
    ['6000','KCP Soepomo','JAKARTA','','2013-04-25',''],
    ['6010','KCP Arjuna','JAKARTA','','2013-04-25',''],
    ['6020','KCP Pluit Samudra','JAKARTA','','2013-04-25',''],
    ['6030','KCP Bintaro Utama','JAKARTA','','2013-04-25',''],
    ['6070','KCP Bina Mulia','JAKARTA','','2013-04-25',''],
    ['6080','KCP Bona Indah','JAKARTA','','2013-04-25',''],
    ['6220','KCP Kemang II','JAKARTA','','2013-04-25',''],
    ['6240','KCP Permata Ujung Menteng','JAKARTA','','2013-04-25',''],
    ['6250','KCP Intercon Megah','JAKARTA','','2013-04-25',''],
    ['6260','KCP Tanah Abang','JAKARTA','','2013-04-25',''],
    ['6270','KCP Tebet Barat 2','JAKARTA','','2013-04-25',''],
    ['6280','KCP Cibubur','JAKARTA','','2013-04-25',''],
    ['6290','KCP Tebet Timur','JAKARTA','','2013-04-25',''],
    ['6300','KCP Kelapa Gading Hibrida','JAKARTA','','2013-04-25',''],
    ['6310','KCP Pegambiran','JAKARTA','','2013-04-25',''],
    ['6320','KCP Mal Kelapa Gading','JAKARTA','','2013-04-25',''],
    ['6330','KCP Buaran Raya','JAKARTA','','2013-04-25',''],
    ['6340','KCP Raden Saleh','JAKARTA','','2013-04-25',''],
    ['6350','KCP Menara Ancol','JAKARTA','','2013-04-25',''],
    ['6360','KCP Pasar Pagi Mangga Dua','JAKARTA','','2013-04-25',''],
    ['6370','KCP Muara Karang 2','JAKARTA','','2013-04-25',''],
    ['6380','KCP Graha Kirana','JAKARTA','','2013-04-25',''],
    ['6390','KCP ISM Ancol','JAKARTA','','2013-04-25',''],
    ['6430','KCP Puri Deltamas','JAKARTA','','2013-04-25',''],
    ['6440','KCP Ricci','JAKARTA','','2013-04-25',''],
    ['6450','KCP Lindeteves','JAKARTA','','2013-04-25',''],
    ['6460','KCP Griya Utama','JAKARTA','','2013-04-25',''],
    ['6470','KCP Utama Raya','JAKARTA','','2013-04-25',''],
    ['6500','KCP Sunrise Garden','JAKARTA','','2013-04-25',''],
    ['6530','KCP Harmoni Plaza','JAKARTA','','2013-04-25',''],
    ['6540','KCP Tanah Abang 2','JAKARTA','','2013-04-25',''],
    ['6550','KCP Abdul Muis','JAKARTA','','2013-04-25',''],
    ['6560','KCP Kebon Jeruk Raya','JAKARTA','','2013-04-25',''],
    ['6590','KCP Prima Sunter','JAKARTA','','2013-04-25',''],
    ['6600','KCP Boulevard Timur','JAKARTA','','2013-04-25',''],
    ['6640','KCP ITC Kuningan','JAKARTA','','2013-04-25',''],
    ['6790','KCP Kebayoran Blok M','JAKARTA','','2013-04-25',''],
    ['6840','KCP Angkasa','JAKARTA','','2013-04-25',''],
    ['6850','KCP Atrium','JAKARTA','','2013-04-25',''],
    ['6860','KCP Kwitang','JAKARTA','','2013-04-25',''],
    ['6900','KCP Pelabuhan Tanjung Priok','JAKARTA','','2013-04-25',''],
    ['6910','KCP Yos Sudarso','JAKARTA','','2013-04-25',''],
    ['6920','KCP Duri Raya','JAKARTA','','2013-04-25',''],
    ['6930','KCP Mangga Dua Mal','JAKARTA','','2013-04-25',''],
    ['6970','KCP Kartini','JAKARTA','','2013-04-25',''],
    ['6980','KCP Mangga Besar VIII','JAKARTA','','2013-04-25',''],
    ['7000','KCP Kramat Jaya Baru','JAKARTA','','2013-04-25',''],
    ['7030','KCP Puri Kembangan','JAKARTA','','2013-04-25',''],
    ['7040','KCP Green Ville','JAKARTA','','2013-04-25',''],
    ['7050','KCP Tanjung Duren 2','JAKARTA','','2013-04-25',''],
    ['7060','KCP Cempaka Putih Raya','JAKARTA','','2013-04-25',''],
    ['7080','KCP Pulogadung Trade Center','JAKARTA','','2013-04-25',''],
    ['7090','KCP Rantai Mulia Kencana','JAKARTA','','2013-04-25',''],
    ['7100','KCP Tiang Bendera','JAKARTA','','2013-04-25',''],
    ['7140','KCP Iskandar Muda','JAKARTA','','2013-04-25',''],
    ['7160','KCP MT Haryono Cawang','JAKARTA','','2013-04-25',''],
    ['7180','KCP Pejaten','JAKARTA','','2013-04-25',''],
    ['7300','KCP Duta Mas Fatmawati','JAKARTA','','2013-04-25',''],
    ['7310','KCP Mal Pondok Indah','JAKARTA','','2013-04-25',''],
    ['7330','KCP Cilandak KKO I','JAKARTA','','2013-04-25',''],
    ['7340','KCP Wisma Nusantara','JAKARTA','','2013-04-25',''],
    ['7350','KCP Menteng','JAKARTA','','2013-04-25',''],
    ['7420','KCP Percetakan Negara','JAKARTA','','2013-04-25',''],
    ['7460','KCP Agung Sedayu II','JAKARTA','','2013-04-25',''],
    ['7480','KCP Gading Bukit Indah','JAKARTA','','2013-04-25',''],
    ['7520','KCP Krekot Bunder','JAKARTA','','2013-04-25',''],
    ['7530','KCP Kemayoran','JAKARTA','','2013-04-25',''],
    ['7540','KCP Sentra Puri Indah','JAKARTA','','2013-04-25',''],
    ['7550','KCP Jalan Panjang','JAKARTA','','2013-04-25',''],
    ['7560','KCP Komp. Taman Kota','JAKARTA','','2013-04-25',''],
    ['7570','KCP Taman Palem Lestari','JAKARTA','','2013-04-25',''],
    ['7600','KCP Jatinegara Barat','JAKARTA','','2013-04-25',''],
    ['7630','KCP Taman Permata Indah II','JAKARTA','','2013-04-25',''],
    ['7660','KCP Setiabudi Atrium','JAKARTA','','2013-04-25',''],
    ['8040','KCP Muara Karang Utara','JAKARTA','','2013-04-25',''],
    ['8060','KCP CBD Pluit','JAKARTA','','2013-04-25',''],
    ['8310','KCP Mal Artha Gading','JAKARTA','','2013-04-25',''],
    ['8340','KCP Cibubur Junction','JAKARTA','','2013-04-25',''],
    ['8350','KCP Mal Ciputra II','JAKARTA','','2013-04-25',''],
    ['8390','KCP Tanah Abang Blok A','JAKARTA','','2013-04-25',''],
    ['8400','KCP Artha Gading','JAKARTA','','2013-04-25',''],
    ['8650','KCP Pantai Indah Kapuk II','JAKARTA','','2013-04-25',''],
    ['8660','KCP Daan Mogot Baru','JAKARTA','','2013-04-25',''],
    ['8700','KCP Gading Square','JAKARTA','','2013-04-25',''],
    ['8710','KCP Gading Riviera','JAKARTA','','2013-04-25',''],
    ['8740','KCP Pantai Indah Kapuk','JAKARTA','','2013-04-25',''],
    ['8770','KCP Grand Cempaka Mas','JAKARTA','','2013-04-25',''],
    ['8780','KCP Sentral Cikini','JAKARTA','','2013-04-25',''],
    ['8790','KCP WTC Mangga Dua','JAKARTA','','2013-04-25',''],
    ['8810','KCP Balai Pustaka','JAKARTA','','2013-04-25',''],
    ['8870','KCP Meruya Selatan','JAKARTA','','2013-04-25',''],
    ['119','KCU JAMBI','JAMBI','','2013-04-25',''],
    ['7870','KCP Sipin','JAMBI','','2013-04-25',''],
    ['8190','KCP Jelutung','JAMBI','','2013-04-25',''],
    ['024','KCU JEMBER','JEMBER','','2013-04-25',''],
    ['147','KCP Tanggul','JEMBER','','2013-04-25',''],
    ['200','KCP Trunojoyo','JEMBER','','2013-04-25',''],
    ['332','KCP Ambulu','JEMBER','','2013-04-25',''],
    ['333','KCP Rambipuji','JEMBER','','2013-04-25',''],
    ['334','KCP Kalisat','JEMBER','','2013-04-25',''],
    ['8910','KCP Balung','JEMBER','','2013-04-25',''],
    ['113','KCU JOMBANG','JOMBANG','','2013-04-25',''],
    ['265','KCP Mojoagung','JOMBANG','','2013-04-25',''],
    ['7710','KCP Ploso','JOMBANG','','2013-04-25',''],
    ['033','KCU KEDIRI','KEDIRI','','2013-04-25',''],
    ['298','KCP Joyoboyo','KEDIRI','','2013-04-25',''],
    ['403','KCP Wates','KEDIRI','','2013-04-25',''],
    ['146','KCU KUTA','KUTA','','2013-04-25',''],
    ['404','KCP Kartika Plaza','KUTA','','2013-04-25',''],
    ['7700','KCP Kerobokan','KUTA','','2013-04-25',''],
    ['020','KCU BANDAR LAMPUNG','LAMPUNG','','2013-04-25',''],
    ['023','KCP Tanjung Karang','LAMPUNG','','2013-04-25',''],
    ['292','KCP Pasar Tengah','LAMPUNG','','2013-04-25',''],
    ['294','KCP Bambu Kuning','LAMPUNG','','2013-04-25',''],
    ['430','KCP Teluk Betung','LAMPUNG','','2013-04-25',''],
    ['125','KCP Lumajang','LUMAJANG','','2013-04-25',''],
    ['387','KCP Pasirian','LUMAJANG','','2013-04-25',''],
    ['177','KCU MADIUN','MADIUN','','2013-04-25',''],
    ['328','KCP Caruban','MADIUN','','2013-04-25',''],
    ['122','KCU MAGELANG','MAGELANG','','2013-04-25',''],
    ['344','KCP Tidar','MAGELANG','','2013-04-25',''],
    ['7915','KCP Magetan','MAGETAN','','2013-04-25',''],
    ['418','KCP Jatiwangi','MAJALENGKA','','2013-04-25',''],
    ['025','KCU MAKASSAR','MAKASSAR','','2013-04-25',''],
    ['110','KCP Veteran','MAKASSAR','','2013-04-25',''],
    ['158','KCP Pasar Sentral','MAKASSAR','','2013-04-25',''],
    ['290','KCP Somba Opu','MAKASSAR','','2013-04-25',''],
    ['365','KCP RS Jaury Jusuf Putra','MAKASSAR','','2013-04-25',''],
    ['390','KCP Pettarani','MAKASSAR','','2013-04-25',''],
    ['405','KCP Sulawesi','MAKASSAR','','2013-04-25',''],
    ['7890','KCP Panakkukang','MAKASSAR','','2013-04-25',''],
    ['7970','KCP Maricaya','MAKASSAR','','2013-04-25',''],
    ['7990','KCP Kawasan Industri','MAKASSAR','','2013-04-25',''],
    ['8460','KCP Parepare','MAKASSAR','','2013-04-25',''],
    ['011','KCU MALANG','MALANG','','2013-04-25',''],
    ['062','KCP Kudusan','MALANG','','2013-04-25',''],
    ['123','KCP Kepanjen','MALANG','','2013-04-25',''],
    ['124','KCP Dampit','MALANG','','2013-04-25',''],
    ['173','KCP Kyai Tamin','MALANG','','2013-04-25',''],
    ['315','KCP Dinoyo','MALANG','','2013-04-25',''],
    ['317','KCP Gondanglegi','MALANG','','2013-04-25',''],
    ['318','KCP Sumberpucung','MALANG','','2013-04-25',''],
    ['331','KCP Blimbing','MALANG','','2013-04-25',''],
    ['366','KCP Tumpang','MALANG','','2013-04-25',''],
    ['368','KCP Singosari','MALANG','','2013-04-25',''],
    ['385','KCP Kawi','MALANG','','2013-04-25',''],
    ['400','KCP Gatot Subroto','MALANG','','2013-04-25',''],
    ['439','KCP Sudirman','MALANG','','2013-04-25',''],
    ['440','KCP Galunggung','MALANG','','2013-04-25',''],
    ['448','KCP Sukun','MALANG','','2013-04-25',''],
    ['8160','KCU BOROBUDUR','MALANG','','2013-04-25',''],
    ['026','KCU MANADO','MANADO','','2013-04-25',''],
    ['170','KCP Tomohon','MANADO','','2013-04-25',''],
    ['7800','KCP Ranotama','MANADO','','2013-04-25',''],
    ['056','KCU CAKRANEGARA','MATARAM','','2013-04-25',''],
    ['202','KCP Sweta-Lombar','MATARAM','','2013-04-25',''],
    ['232','KCP Ampenan','MATARAM','','2013-04-25',''],
    ['000','Kantor Cabang Kartu Kredit Medan','MEDAN','','2013-04-25',''],
    ['022','KCU MEDAN','MEDAN','','2013-04-25',''],
    ['195','KCP Asia','MEDAN','','2013-04-25',''],
    ['242','KCP Pulau Brayan','MEDAN','','2013-04-25',''],
    ['349','KCP Iskandar Muda','MEDAN','','2013-04-25',''],
    ['383','KCU BUKIT BARISAN','MEDAN','','2013-04-25',''],
    ['7780','KCP Pusat Pasar','MEDAN','','2013-04-25',''],
    ['7860','KCP Surabaya','MEDAN','','2013-04-25',''],
    ['7865','KCP Tomang Elok','MEDAN','','2013-04-25',''],
    ['8000','KCP Katamso Medan','MEDAN','','2013-04-25',''],
    ['8075','KCP Plaza Medan Fair','MEDAN','','2013-04-25',''],
    ['8115','KCP HM. Yamin','MEDAN','','2013-04-25',''],
    ['8205','KCP Setiabudi','MEDAN','','2013-04-25',''],
    ['8250','KCP Golden Trade Center','MEDAN','','2013-04-25',''],
    ['8280','KCP Krakatau','MEDAN','','2013-04-25',''],
    ['8300','KCP Asia II','MEDAN','','2013-04-25',''],
    ['8305','KCP Asia Mega Mas','MEDAN','','2013-04-25',''],
    ['8370','KCP Sumatera','MEDAN','','2013-04-25',''],
    ['8375','KCP Rahmadsyah','MEDAN','','2013-04-25',''],
    ['117','KCP Metro','METRO LAMPUNG','','2013-04-25',''],
    ['293','KCP Bandar Jaya','METRO LAMPUNG','','2013-04-25',''],
    ['050','KCU MOJOKERTO','MOJOKERTO','','2013-04-25',''],
    ['6140','KCP Mojosari','MOJOKERTO','','2013-04-25',''],
    ['7690','KCP Ngoro','MOJOKERTO','','2013-04-25',''],
    ['8120','KCP Muara Enim','MUARA ENIM','','2013-04-25',''],
    ['104','KCP Muntilan','MUNTILAN','','2013-04-25',''],
    ['236','KCP Negara','NEGARA','','2013-04-25',''],
    ['141','KCP Nganjuk','NGANJUK','','2013-04-25',''],
    ['7790','KCP Ngawi','NGAWI','','2013-04-25',''],
    ['032','KCU PADANG','PADANG','','2013-04-25',''],
    ['163','KCP Pemuda','PADANG','','2013-04-25',''],
    ['312','KCP S. Parman','PADANG','','2013-04-25',''],
    ['8600','KCU PALANGKARAYA','PALANGKARAYA','','2013-04-25',''],
    ['021','KCU PALEMBANG','PALEMBANG','','2013-04-25',''],
    ['045','KCP Mesjid Lama','PALEMBANG','','2013-04-25',''],
    ['114','KCP Dempo','PALEMBANG','','2013-04-25',''],
    ['115','KCP Lemabang','PALEMBANG','','2013-04-25',''],
    ['116','KCP Ruko Rajawali','PALEMBANG','','2013-04-25',''],
    ['151','KCP Kenten','PALEMBANG','','2013-04-25',''],
    ['341','KCP Iskandar','PALEMBANG','','2013-04-25',''],
    ['8490','KCP Palembang Trade Centre','PALEMBANG','','2013-04-25',''],
    ['7930','KCU PALOPO','PALOPO','','2013-04-25',''],
    ['7920','KCU PALU','PALU','','2013-04-25',''],
    ['192','KCU PAMEKASAN','PAMEKASAN','','2013-04-25',''],
    ['041','KCU PANGKAL PINANG','PANGKAL PINANG','','2013-04-25',''],
    ['140','KCP Pare','PARE','','2013-04-25',''],
    ['089','KCU PASURUAN','PASURUAN','','2013-04-25',''],
    ['199','KCP Pandaan','PASURUAN','','2013-04-25',''],
    ['225','KCP Bangil','PASURUAN','','2013-04-25',''],
    ['411','KCP Kejapanan','PASURUAN','','2013-04-25',''],
    ['098','KCP Pati','PATI','','2013-04-25',''],
    ['8940','KCP Juwana','PATI','','2013-04-25',''],
    ['238','KCU PEKALONGAN','PEKALONGAN','','2013-04-25',''],
    ['250','KCP Kedungwuni','PEKALONGAN','','2013-04-25',''],
    ['251','KCP Wiradesa','PEKALONGAN','','2013-04-25',''],
    ['382','KCP Sultan Agung','PEKALONGAN','','2013-04-25',''],
    ['034','KCU PEKANBARU','PEKANBARU','','2013-04-25',''],
    ['059','KCP A. Yani','PEKANBARU','','2013-04-25',''],
    ['144','KCP Juanda','PEKANBARU','','2013-04-25',''],
    ['220','KCP Nangka','PEKANBARU','','2013-04-25',''],
    ['8230','KCP Riau Bisnis Center','PEKANBARU','','2013-04-25',''],
    ['132','KCP Pemalang','PEMALANG','','2013-04-25',''],
    ['356','KCP Comal','PEMALANG','','2013-04-25',''],
    ['8200','KCU PEMATANG SIANTAR','PEMATANG SIANTAR','','2013-04-25',''],
    ['6870','KCP Pondok Gede Plaza','PONDOK GEDE','','2013-04-25',''],
    ['7400','KCP Time Square Cibubur','PONDOK GEDE','','2013-04-25',''],
    ['289','KCP Ponorogo','PONOROGO','','2013-04-25',''],
    ['029','KCU PONTIANAK','PONTIANAK','','2013-04-25',''],
    ['171','KCP A. Yani','PONTIANAK','','2013-04-25',''],
    ['347','KCP Sultan Muhammad','PONTIANAK','','2013-04-25',''],
    ['371','KCP Sei Pinyuh','PONTIANAK','','2013-04-25',''],
    ['7925','KCP Imam Bonjol','PONTIANAK','','2013-04-25',''],
    ['300','KCU PRABUMULIH','PRABUMULIH','','2013-04-25',''],
    ['269','KCP Praya','PRAYA','','2013-04-25',''],
    ['039','KCU PROBOLINGGO','PROBOLINGGO','','2013-04-25',''],
    ['201','KCP Kraksaan','PROBOLINGGO','','2013-04-25',''],
    ['097','KCP Purbalingga','PURBALINGGA','','2013-04-25',''],
    ['231','KCU PURWAKARTA','PURWAKARTA','','2013-04-25',''],
    ['460','KCP Kota Bukit Indah','PURWAKARTA','','2013-04-25',''],
    ['081','KCU PURWODADI','PURWODADI','','2013-04-25',''],
    ['046','KCU PURWOKERTO','PURWOKERTO','','2013-04-25',''],
    ['358','KCP Pasar Wage','PURWOKERTO','','2013-04-25',''],
    ['424','KCP Ajibarang','PURWOKERTO','','2013-04-25',''],
    ['235','KCP Purworejo','PURWOREJO','','2013-04-25',''],
    ['5420','KCP Rangkasbitung','RANGKASBITUNG','','2013-04-25',''],
    ['013','KCU SALATIGA','SALATIGA','','2013-04-25',''],
    ['027','KCU SAMARINDA','SAMARINDA','','2013-04-25',''],
    ['254','KCP Abul Hasan','SAMARINDA','','2013-04-25',''],
    ['7935','KCP A. Yani','SAMARINDA','','2013-04-25',''],
    ['8960','KCP Sampang','SAMPANG','','2013-04-25',''],
    ['6700','KCP Sanur Raya','SANUR','','2013-04-25',''],
    ['267','KCP Cinere','SAWANGAN','','2013-04-25',''],
    ['009','KCU SEMARANG','SEMARANG','','2013-04-25',''],
    ['017','KCP Kanjengan','SEMARANG','','2013-04-25',''],
    ['182','KCU GANG TENGAH','SEMARANG','','2013-04-25',''],
    ['246','KCP Siliwangi','SEMARANG','','2013-04-25',''],
    ['252','KCP MT Haryono','SEMARANG','','2013-04-25',''],
    ['353','KCP Industri','SEMARANG','','2013-04-25',''],
    ['409','KCP Suari','SEMARANG','','2013-04-25',''],
    ['426','KCP Telogorejo','SEMARANG','','2013-04-25',''],
    ['462','KCP Majapahit','SEMARANG','','2013-04-25',''],
    ['7830','KCP Bangkong','SEMARANG','','2013-04-25',''],
    ['7960','KCP Gatot Subroto','SEMARANG','','2013-04-25',''],
    ['8030','KCP Banyumanik','SEMARANG','','2013-04-25',''],
    ['8035','KCP Tanjung Mas','SEMARANG','','2013-04-25',''],
    ['245','KCU SERANG','SERANG','','2013-04-25',''],
    ['492','KCP Cikande','SERANG','','2013-04-25',''],
    ['5410','KCP Ciceri','SERANG','','2013-04-25',''],
    ['6510','KCP Anyer','SERANG','','2013-04-25',''],
    ['018','KCU SIDOARJO','SIDOARJO','','2013-04-25',''],
    ['184','KCP Krian','SIDOARJO','','2013-04-25',''],
    ['271','KCP Sepanjang','SIDOARJO','','2013-04-25',''],
    ['325','KCP Gedangan','SIDOARJO','','2013-04-25',''],
    ['465','KCP Makro Pepelegi','SIDOARJO','','2013-04-25',''],
    ['6150','KCP Porong','SIDOARJO','','2013-04-25',''],
    ['6670','KCP Juanda','SIDOARJO','','2013-04-25',''],
    ['8270','KCU SINGARAJA','SINGARAJA','','2013-04-25',''],
    ['8170','KCU SINGKAWANG','SINGKAWANG','','2013-04-25',''],
    ['121','KCU SITUBONDO','SITUBONDO','','2013-04-25',''],
    ['362','KCP Slawi','SLAWI','','2013-04-25',''],
    ['015','KCU SOLO','SOLO','','2013-04-25',''],
    ['078','KCP Pasar Klewer','SOLO','','2013-04-25',''],
    ['079','KCP Pasar Legi','SOLO','','2013-04-25',''],
    ['153','KCP Singosaren','SOLO','','2013-04-25',''],
    ['392','KCP Purwosari','SOLO','','2013-04-25',''],
    ['393','KCP Kartasura','SOLO','','2013-04-25',''],
    ['394','KCP Urip Sumoharjo','SOLO','','2013-04-25',''],
    ['7850','KCU SOLO II','SOLO','','2013-04-25',''],
    ['077','KCP Sragen','SRAGEN','','2013-04-25',''],
    ['055','KCU SUBANG','SUBANG','','2013-04-25',''],
    ['223','KCP Pamanukan','SUBANG','','2013-04-25',''],
    ['038','KCU SUKABUMI','SUKABUMI','','2013-04-25',''],
    ['129','KCP Cicurug','SUKABUMI','','2013-04-25',''],
    ['181','KCP Sukabumi Raya','SUKABUMI','','2013-04-25',''],
    ['339','KCP Pelabuhan Ratu','SUKABUMI','','2013-04-25',''],
    ['352','KCP Cibadak','SUKABUMI','','2013-04-25',''],
    ['377','KCP Kota Paris','SUKABUMI','','2013-04-25',''],
    ['7740','KCP Sumedang','SUMEDANG','','2013-04-25',''],
    ['193','KCP Sumenep','SUMENEP','','2013-04-25',''],
    ['000','Kantor Cabang Kartu Kredit Surabaya','SURABAYA','','2013-04-25',''],
    ['010','KCU VETERAN','SURABAYA','','2013-04-25',''],
    ['014','KCP Tunjungan','SURABAYA','','2013-04-25',''],
    ['036','KCP Slompretan','SURABAYA','','2013-04-25',''],
    ['064','KCP Pucang Anom','SURABAYA','','2013-04-25',''],
    ['072','KCP Tunjungan Center','SURABAYA','','2013-04-25',''],
    ['087','KCP Sungkono','SURABAYA','','2013-04-25',''],
    ['088','KCU DARMO','SURABAYA','','2013-04-25',''],
    ['100','KCP Pasar Turi','SURABAYA','','2013-04-25',''],
    ['101','KCP Kapas Krampung','SURABAYA','','2013-04-25',''],
    ['102','KCP Pasar Atum','SURABAYA','','2013-04-25',''],
    ['103','KCP Kedungdoro','SURABAYA','','2013-04-25',''],
    ['107','KCP Mangga Dua Surabaya','SURABAYA','','2013-04-25',''],
    ['130','KCP Manyar','SURABAYA','','2013-04-25',''],
    ['152','KCP Kertajaya','SURABAYA','','2013-04-25',''],
    ['187','KCP Perak','SURABAYA','','2013-04-25',''],
    ['188','KCP Kusumabangsa','SURABAYA','','2013-04-25',''],
    ['190','KCP Kertopaten','SURABAYA','','2013-04-25',''],
    ['213','KCP Kapasan','SURABAYA','','2013-04-25',''],
    ['214','KCP Tidar','SURABAYA','','2013-04-25',''],
    ['215','KCP Undaan','SURABAYA','','2013-04-25',''],
    ['216','KCP Pondok Chandra','SURABAYA','','2013-04-25',''],
    ['226','KCP Kembang Jepun','SURABAYA','','2013-04-25',''],
    ['256','KCP Semut','SURABAYA','','2013-04-25',''],
    ['258','KCU DIPONEGORO','SURABAYA','','2013-04-25',''],
    ['329','KCP Baliwerti','SURABAYA','','2013-04-25',''],
    ['363','KCP Tunjungan Plaza','SURABAYA','','2013-04-25',''],
    ['364','KCP Rajawali','SURABAYA','','2013-04-25',''],
    ['381','KCP Tembaan','SURABAYA','','2013-04-25',''],
    ['384','KCP Delta Plaza','SURABAYA','','2013-04-25',''],
    ['388','KCP Dharmahusada','SURABAYA','','2013-04-25',''],
    ['389','KCP Muliosari','SURABAYA','','2013-04-25',''],
    ['410','KCP Ambengan','SURABAYA','','2013-04-25',''],
    ['429','KCP A. Yani','SURABAYA','','2013-04-25',''],
    ['454','KCP Jembatan Merah Plaza','SURABAYA','','2013-04-25',''],
    ['463','KCP Margomulyo','SURABAYA','','2013-04-25',''],
    ['464','KCP Kertajaya Indah','SURABAYA','','2013-04-25',''],
    ['468','KCU INDRAPURA','SURABAYA','','2013-04-25',''],
    ['469','KCP Kenjeran','SURABAYA','','2013-04-25',''],
    ['470','KCP Darmo Indah Timur','SURABAYA','','2013-04-25',''],
    ['472','KCP Mega Galaxy','SURABAYA','','2013-04-25',''],
    ['5060','KCP Babatan Pantai','SURABAYA','','2013-04-25',''],
    ['5090','KCP Genteng Kali','SURABAYA','','2013-04-25',''],
    ['5100','KCP Gemblongan','SURABAYA','','2013-04-25',''],
    ['5110','KCP Kalianyar','SURABAYA','','2013-04-25',''],
    ['5120','KCP Prapen','SURABAYA','','2013-04-25',''],
    ['5130','KCP Perak Timur','SURABAYA','','2013-04-25',''],
    ['5190','KCP Tidar 2','SURABAYA','','2013-04-25',''],
    ['5200','KCP Klampis','SURABAYA','','2013-04-25',''],
    ['5550','KCP M. Duryat','SURABAYA','','2013-04-25',''],
    ['5560','KCP Dupak','SURABAYA','','2013-04-25',''],
    ['5600','KCP Margorejo','SURABAYA','','2013-04-25',''],
    ['5650','KCP Kapasari','SURABAYA','','2013-04-25',''],
    ['6100','KCP Bhayangkara','SURABAYA','','2013-04-25',''],
    ['6120','KCP Kupang Jaya','SURABAYA','','2013-04-25',''],
    ['6170','KCP Tandes','SURABAYA','','2013-04-25',''],
    ['6710','KCP Semarang','SURABAYA','','2013-04-25',''],
    ['6720','KCP Taman Pondok Indah','SURABAYA','','2013-04-25',''],
    ['6730','KCP Rungkut Megah','SURABAYA','','2013-04-25',''],
    ['6750','KCP Rungkut Mapan','SURABAYA','','2013-04-25',''],
    ['7210','KCP Gunungsari','SURABAYA','','2013-04-25',''],
    ['7220','KCP Krembangan','SURABAYA','','2013-04-25',''],
    ['7230','KCP Pabean','SURABAYA','','2013-04-25',''],
    ['7240','KCP Mega Grosir','SURABAYA','','2013-04-25',''],
    ['7260','KCP Simpang Darmo Permai','SURABAYA','','2013-04-25',''],
    ['7290','KCP Jagalan','SURABAYA','','2013-04-25',''],
    ['7880','KCU KAYUN','SURABAYA','','2013-04-25',''],
    ['8220','KCU RUNGKUT','SURABAYA','','2013-04-25',''],
    ['8290','KCU HR MUHAMAD','SURABAYA','','2013-04-25',''],
    ['8620','KCP Citraland','SURABAYA','','2013-04-25',''],
    ['8630','KCP Pakuwon Tarde Center','SURABAYA','','2013-04-25',''],
    ['142','KCP Tabanan','TABANAN','','2013-04-25',''],
    ['108','KCU TANGERANG','TANGERANG','','2013-04-25',''],
    ['345','KCP Pondok Lestari','TANGERANG','','2013-04-25',''],
    ['473','KCP Pamulang','TANGERANG','','2013-04-25',''],
    ['474','KCP Bintaro Sektor 3','TANGERANG','','2013-04-25',''],
    ['497','KCU SERPONG','TANGERANG','','2013-04-25',''],
    ['5510','KCP Bandara S/H Term D','TANGERANG','','2013-04-25',''],
    ['5940','KCP Poris Indah','TANGERANG','','2013-04-25',''],
    ['6040','KCP Alam Sutra','TANGERANG','','2013-04-25',''],
    ['6050','KCP Villa Melati Mas','TANGERANG','','2013-04-25',''],
    ['6580','KCP Moderland','TANGERANG','','2013-04-25',''],
    ['6800','KCP Bintaro Sentra Menteng','TANGERANG','','2013-04-25',''],
    ['6890','KCP MH Thamrin Tangerang','TANGERANG','','2013-04-25',''],
    ['7010','KCP Metro Permata','TANGERANG','','2013-04-25',''],
    ['7020','KCP Duta Gardenia','TANGERANG','','2013-04-25',''],
    ['7110','KCP Balaraja','TANGERANG','','2013-04-25',''],
    ['7120','KCP Karawaci','TANGERANG','','2013-04-25',''],
    ['7130','KCP Perum Cibodas','TANGERANG','','2013-04-25',''],
    ['7580','KCP Villa Bandara','TANGERANG','','2013-04-25',''],
    ['7610','KCP Supermal Karawaci','TANGERANG','','2013-04-25',''],
    ['7620','KCP Aneka Subur Jatake','TANGERANG','','2013-04-25',''],
    ['7640','KCP Citra Raya','TANGERANG','','2013-04-25',''],
    ['8010','KCP BSD Sektor VII','TANGERANG','','2013-04-25',''],
    ['8330','KCP ITC BSD','TANGERANG','','2013-04-25',''],
    ['8670','KCP Terminal Kargo Bandara Soekarno Hatta','TANGERANG','','2013-04-25',''],
    ['8680','KCP Cikokol','TANGERANG','','2013-04-25',''],
    ['8820','KCP Plaza Merdeka Mas','TANGERANG','','2013-04-25',''],
    ['8830','KCP Gading Serpong','TANGERANG','','2013-04-25',''],
    ['8840','KCP Islamic Karawaci','TANGERANG','','2013-04-25',''],
    ['8880','KCP CKA Cikupa','TANGERANG','','2013-04-25',''],
    ['8990','KCP BSD Sektor I','TANGERANG','','2013-04-25',''],
    ['052','KCU TANJUNG BALAI','TANJUNG BALAI','','2013-04-25',''],
    ['380','KCU TANJUNG PINANG','TANJUNG PINANG','','2013-04-25',''],
    ['8080','KCP Tanjung Uban','TANJUNG PINANG','','2013-04-25',''],
    ['8890','KCP Bintan Center','TANJUNG PINANG','','2013-04-25',''],
    ['8900','KCP Lagoi','TANJUNG PINANG','','2013-04-25',''],
    ['7805','KCU TARAKAN','TARAKAN','','2013-04-25',''],
    ['054','KCU TASIKMALAYA','TASIKMALAYA','','2013-04-25',''],
    ['208','KCP Ciawi','TASIKMALAYA','','2013-04-25',''],
    ['209','KCP Pasar Wetan','TASIKMALAYA','','2013-04-25',''],
    ['321','KCP Sutisna Senjaya','TASIKMALAYA','','2013-04-25',''],
    ['042','KCU TEBING TINGGI','TEBING TINGGI','','2013-04-25',''],
    ['047','KCU TEGAL','TEGAL','','2013-04-25',''],
    ['099','KCP Banjaran-Adiwerna','TEGAL','','2013-04-25',''],
    ['360','KCP Pasar Pagi Tegal','TEGAL','','2013-04-25',''],
    ['154','KCP Temanggung','TEMANGGUNG','','2013-04-25',''],
    ['155','KCP Parakan','TEMANGGUNG','','2013-04-25',''],
    ['8070','KCP Karimun','TJB - KARIMUN','','2013-04-25',''],
    ['324','KCP Trenggalek','TRENGGALEK','','2013-04-25',''],
    ['8240','KCU TUBAN','TUBAN','','2013-04-25',''],
    ['048','KCU TULUNGAGUNG','TULUNGAGUNG','','2013-04-25',''],
    ['323','KCP Ngunut','TULUNGAGUNG','','2013-04-25',''],
    ['222','KCP Ungaran','UNGARAN','','2013-04-25',''],
    ['149','KCP Wonogiri','WONOGIRI','','2013-04-25',''],
    ['8950','KCP Wonosari','WONOSARI','','2013-04-25',''],
    ['239','KCP Wonosobo','WONOSOBO','','2013-04-25',''],
    ['037','KCU YOGYAKARTA','YOGYAKARTA','','2013-04-25',''],
    ['060','KCP Pingit','YOGYAKARTA','','2013-04-25',''],
    ['126','KCP Mangkubumi','YOGYAKARTA','','2013-04-25',''],
    ['169','KCP Ahmad Dahlan','YOGYAKARTA','','2013-04-25',''],
    ['445','KCP Katamso','YOGYAKARTA','','2013-04-25',''],
    ['456','KCP Urip Sumoharjo','YOGYAKARTA','','2013-04-25',''],
    ['8020','KCP Godean','YOGYAKARTA','','2013-04-25',''],
    ['8610','KCP Kaliurang','YOGYAKARTA','','2013-04-25',''],
    ['314','KCU KUPANG','KUPANG','','2013-04-25',''],
    ['234','KCP Kutoarjo','KUTOARJO','','2013-04-25',''],
    ['493','KCP Labuan','LABUAN','','2013-04-25',''],
    ['8130','KCP Lahat','LAHAT','','2013-04-25',''],
    ['330','KCP Lamongan','LAMONGAN','','2013-04-25',''],
    ['5610','KCP Babat','LAMONGAN','','2013-04-25',''],
    ['316','KCP Lawang','LAWANG','','2013-04-25',''],
    ['320','KCP Ambarawa','AMBARAWA','','2013-04-25',''],
    ['044','KCU AMBON','AMBON','','2013-04-25',''],
    ['415','KCP Mardika','AMBON','','2013-04-25',''],
    ['191','KCU BALIKPAPAN','BALIKPAPAN','','2013-04-25',''],
    ['7810','KCP Pandan Sari','BALIKPAPAN','','2013-04-25',''],
    ['043','KCU BANDA ACEH','BANDA ACEH','','2013-04-25',''],
    ['008','KCU BANDUNG','BANDUNG','','2013-04-25',''],
    ['016','KCP Pasir Kaliki','BANDUNG','','2013-04-25',''],
    ['063','KCP Suniaraja','BANDUNG','','2013-04-25',''],
    ['085','KCP Sudirman','BANDUNG','','2013-04-25',''],
    ['086','KCP Riau','BANDUNG','','2013-04-25',''],
    ['137','KCP Lembang','BANDUNG','','2013-04-25',''],
    ['139','KCP Cimahi','BANDUNG','','2013-04-25',''],
    ['156','KCP Sunda Mall','BANDUNG','','2013-04-25',''],
    ['157','KCP Sumbersari','BANDUNG','','2013-04-25',''],
    ['176','KCP Kopo','BANDUNG','','2013-04-25',''],
    ['233','KCP Setiabudi','BANDUNG','','2013-04-25',''],
    ['243','KCP ABC','BANDUNG','','2013-04-25',''],
    ['278','KCP Padalarang','BANDUNG','','2013-04-25',''],
    ['279','KCP Dewi Sartika','BANDUNG','','2013-04-25',''],
    ['280','KCP Kiaracondong','BANDUNG','','2013-04-25',''],
    ['281','KCP Rajawali','BANDUNG','','2013-04-25',''],
    ['282','KCP Maranatha','BANDUNG','','2013-04-25',''],
    ['283','KCP Ujung Berung','BANDUNG','','2013-04-25',''],
    ['337','KCP Dayeuhkolot','BANDUNG','','2013-04-25',''],
    ['346','KCU SOEKARNO HATTA','BANDUNG','','2013-04-25',''],
    ['376','KCP Majalaya','BANDUNG','','2013-04-25',''],
    ['379','KCP Taman Kopo Indah','BANDUNG','','2013-04-25',''],
    ['437','KCU A. YANI','BANDUNG','','2013-04-25',''],
    ['438','KCP Burangrang','BANDUNG','','2013-04-25',''],
    ['449','KCP Banda','BANDUNG','','2013-04-25',''],
    ['453','KCP Lingkar Selatan','BANDUNG','','2013-04-25',''],
    ['5140','KCP Bandung Trade Centre','BANDUNG','','2013-04-25',''],
    ['5150','KCP Abdul Rachman Saleh','BANDUNG','','2013-04-25',''],
    ['5170','KCP Cihampelas','BANDUNG','','2013-04-25',''],
    ['7750','KCP Buah Batu','BANDUNG','','2013-04-25',''],
    ['7770','KCU DAGO','BANDUNG','','2013-04-25',''],
    ['7840','KCP Astana Anyar','BANDUNG','','2013-04-25',''],
    ['7940','KCP Bandung Elctronic Center','BANDUNG','','2013-04-25',''],
    ['8090','KCP Ahmad Yani II','BANDUNG','','2013-04-25',''],
    ['8100','KCP Mohamad Toha','BANDUNG','','2013-04-25',''],
    ['8320','KCP Dago Atas','BANDUNG','','2013-04-25',''],
    ['8380','KCP Jamika','BANDUNG','','2013-04-25',''],
    ['8470','KCP Batununggal','BANDUNG','','2013-04-25',''],
    ['8480','KCP Pasirkaliki Atas','BANDUNG','','2013-04-25',''],
    ['118','KCP Sungai Liat','BANGKA','','2013-04-25',''],
    ['185','KCP Bangkalan','BANGKALAN','','2013-04-25',''],
    ['203','KCP Banjar','BANJAR','','2013-04-25',''],
    ['051','KCU BANJARMASIN','BANJARMASIN','','2013-04-25',''],
    ['7820','KCP A. Yani','BANJARMASIN','','2013-04-25',''],
    ['357','KCP Banjarnegara','BANJARNEGARA','','2013-04-25',''],
    ['180','KCU BANYUWANGI','BANYUWANGI','','2013-04-25',''],
    ['263','KCP Genteng','BANYUWANGI','','2013-04-25',''],
    ['264','KCP Rogojampi','BANYUWANGI','','2013-04-25',''],
    ['351','KCP Muncar','BANYUWANGI','','2013-04-25',''],
    ['8980','KCP Jajag','BANYUWANGI','','2013-04-25',''],
    ['061','KCU BATAM','BATAM','','2013-04-25',''],
    ['326','KCP Muka Kuning','BATAM','','2013-04-25',''],
    ['340','KCP Nagoya','BATAM','','2013-04-25',''],
    ['8210','KCP Batam Center','BATAM','','2013-04-25',''],
    ['249','KCP Batang','BATANG','','2013-04-25',''],
    ['019','KCP Batu','BATU','','2013-04-25',''],
    ['257','KCP Baturaja','BATURAJA','','2013-04-25',''],
    ['066','KCU BEKASI','BEKASI','','2013-04-25',''],
    ['343','KCP Cikarang','BEKASI','','2013-04-25',''],
    ['486','KCP ISM Cibitung','BEKASI','','2013-04-25',''],
    ['5210','KCP Bulevar Hijau','BEKASI','','2013-04-25',''],
    ['5220','KCP Lippo Cikarang','BEKASI','','2013-04-25',''],
    ['5680','KCP Kemang Pratama','BEKASI','','2013-04-25',''],
    ['5770','KCP Taman Galaxi','BEKASI','','2013-04-25',''],
    ['5780','KCP Ruko Kalimas','BEKASI','','2013-04-25',''],
    ['6630','KCP Grand Mall Bekasi','BEKASI','','2013-04-25',''],
    ['6880','KCP Union Square','BEKASI','','2013-04-25',''],
    ['7390','KCP Ahmad Yani','BEKASI','','2013-04-25',''],
    ['7410','KCP Pondok Ungu Bekasi','BEKASI','','2013-04-25',''],
    ['7510','KCP Jatibening','BEKASI','','2013-04-25',''],
    ['8420','KCP Tambun','BEKASI','','2013-04-25',''],
    ['8730','KCP Metro Jababeka','BEKASI','','2013-04-25',''],
    ['8760','KCP Ruko Jababeka','BEKASI','','2013-04-25',''],
    ['8850','KCP Grand Centre Bekasi','BEKASI','','2013-04-25',''],
    ['058','KCU BENGKULU','BENGKULU','','2013-04-25',''],
    ['175','KCP Binjai','BINJAI','','2013-04-25',''],
    ['053','KCP Bitung','BITUNG','','2013-04-25',''],
    ['090','KCU BLITAR','BLITAR','','2013-04-25',''],
    ['322','KCP Wlingi','BLITAR','','2013-04-25',''],
    ['196','KCP Blora','BLORA','','2013-04-25',''],
    ['095','KCU BOGOR','BOGOR','','2013-04-25',''],
    ['174','KCP Kebon Kembang','BOGOR','','2013-04-25',''],
    ['406','KCP Cileungsi','BOGOR','','2013-04-25',''],
    ['427','KCP Siliwangi','BOGOR','','2013-04-25',''],
    ['5720','KCP Mayor Oking','BOGOR','','2013-04-25',''],
    ['6820','KCP Jembatan Merah','BOGOR','','2013-04-25',''],
    ['7360','KCP Tajur','BOGOR','','2013-04-25',''],
    ['7370','KCP Surya Kencana','BOGOR','','2013-04-25',''],
    ['7380','KCP Warung Jambu Plaza','BOGOR','','2013-04-25',''],
    ['8410','KCP Ciluar','BOGOR','','2013-04-25',''],
    ['8720','KCP Raya Baru Bogor','BOGOR','','2013-04-25',''],
    ['8640','KCP Bojonegoro','BOJONEGORO','','2013-04-25',''],
    ['120','KCP Bondowoso','BONDOWOSO','','2013-04-25',''],
    ['143','KCP Boyolali','BOYOLALI','','2013-04-25',''],
    ['131','KCP Brebes','BREBES','','2013-04-25',''],
    ['133','KCP Jatibarang','BREBES','','2013-04-25',''],
    ['159','KCP Bumiayu','BREBES','','2013-04-25',''],
    ['361','KCP Ketanggungan Timur','BREBES','','2013-04-25',''],
    ['8050','KCU BUKIT TINGGI','BUKITTINGGI','','2013-04-25',''],
    ['8125','KCP Aur Kuning','BUKITTINGGI','','2013-04-25',''],
    ['354','KCP Cepu','CEPU','','2013-04-25',''],
    ['295','KCP Cilegon','CILEGON','','2013-04-25',''],
    ['6520','KCP Cilegon II','CILEGON','','2013-04-25',''],
    ['067','KCP Ciputat','CIPUTAT','','2013-04-25',''],
    ['6090','KCP Golden Point Center','CIPUTAT','','2013-04-25',''],
    ['6760','KCP Ciputat Mall','CIPUTAT','','2013-04-25',''],
    ['8800','KCP Pondok Cabe Mutiara','CIPUTAT','','2013-04-25',''],
    ['134','KCU CIREBON','CIREBON','','2013-04-25',''],
    ['304','KCP Sindang Laut Cirebon','CIREBON','','2013-04-25',''],
    ['374','KCP Cipto Mangunkusumo','CIREBON','','2013-04-25',''],
    ['8180','KCP Pekalipan','CIREBON','','2013-04-25',''],
    ['189','KCP Curup','CURUP','','2013-04-25',''],
    ['040','KCU DENPASAR','DENPASAR','','2013-04-25',''],
    ['049','KCP Maluku','DENPASAR','','2013-04-25',''],
    ['435','KCP Cokroaminoto','DENPASAR','','2013-04-25',''],
    ['6110','KCP Grand Sudirman','DENPASAR','','2013-04-25',''],
    ['6130','KCP Raya Kuta - CCR','DENPASAR','','2013-04-25',''],
    ['6690','KCP Gatot Subroto Denpasar','DENPASAR','','2013-04-25',''],
    ['7670','KCP Sesetan','DENPASAR','','2013-04-25',''],
    ['7680','KCP Teuku Umar Denpasar','DENPASAR','','2013-04-25',''],
    ['7720','KCP By Pass Mumbul','DENPASAR','','2013-04-25',''],
    ['7725','KCP Renon','DENPASAR','','2013-04-25',''],
    ['7730','KCP WR Supratman','DENPASAR','','2013-04-25',''],
    ['204','KCP Bukit Cinere Indah','DEPOK','','2013-04-25',''],
    ['421','KCP Depok','DEPOK','','2013-04-25',''],
    ['6610','KCP Proklamasi Depok','DEPOK','','2013-04-25',''],
    ['7150','KCP Nusantara','DEPOK','','2013-04-25',''],
    ['7650','KCP Depok Asri','DEPOK','','2013-04-25',''],
    ['8690','KCU MARGONDA','DEPOK','','2013-04-25',''],
    ['148','KCU GARUT','GARUT','','2013-04-25',''],
    ['446','KCP A. Yani','GARUT','','2013-04-25',''],
    ['135','KCP Ubud','GIANYAR','','2013-04-25',''],
    ['416','KCP Gianyar','GIANYAR','','2013-04-25',''],
    ['7675','KCP Gombong','GOMBONG','','2013-04-25',''],
    ['150','KCP Gresik','GRESIK','','2013-04-25',''],
    ['7900','KCU GRESIK','GRESIK','','2013-04-25',''],
    ['109','KCP Karawang','KARAWANG','','2013-04-25',''],
    ['378','KCP Cikampek','KARAWANG','','2013-04-25',''],
    ['423','KCP Kebumen','KEBUMEN','','2013-04-25',''],
    ['080','KCP Weleri','KENDAL','','2013-04-25',''],
    ['7910','KCU KENDARI','KENDARI','','2013-04-25',''],
    ['461','KCP Kertosono','KERTOSONO','','2013-04-25',''],
    ['297','KCP Kisaran','KISARAN','','2013-04-25',''],
    ['030','KCP Klaten','KLATEN','','2013-04-25',''],
    ['395','KCP Klungkung','KLUNGKUNG','','2013-04-25',''],
    ['8110','KCP Kotabumi','KOTABUMI','','2013-04-25',''],
    ['031','KCU KUDUS','KUDUS','','2013-04-25',''],
    ['299','KCP Kuningan Cirebon','KUNINGAN','','2013-04-25',''],
    ['296','KCU LHOKSEUMAWE','LHOKSEUMAWE','','2013-04-25',''],
    ['057','KCU LUBUK LINGGAU','LUBUK LINGGAU','','2013-04-25',''],
    ['166','KCP Cimanggis','CIBINONG','','2013-04-25',''],
    ['167','KCP Cibinong','CIBINONG','','2013-04-25',''],
    ['6830','KCP Pasar Cibinong','CIBINONG','','2013-04-25',''],
    ['302','KCP Jatibarang','INDRAMAYU','','2013-04-25',''],
    ['303','KCP Indramayu','INDRAMAYU','','2013-04-25',''],
    ['7955','KCP Abepura','JAYAPURA','','2013-04-25',''],
    ['8140','KCU JAYAPURA','JAYAPURA','','2013-04-25',''],
    ['247','KCP Jepara','JEPARA','','2013-04-25',''],
    ['138','KCP Ciamis','CIAMIS','','2013-04-25',''],
    ['183','KCU CIANJUR','CIANJUR','','2013-04-25',''],
    ['197','KCP Cipanas','CIANJUR','','2013-04-25',''],
    ['348','KCP Dewi Sartika','CIANJUR','','2013-04-25',''],
    ['402','KCP Mangunsarkoro','CIANJUR','','2013-04-25',''],
    ['431','KCP Ciranjang','CIANJUR','','2013-04-25',''],
    ['096','KCU CILACAP','CILACAP','','2013-04-25',''],
    ['422','KCP Kroya','CILACAP','','2013-04-25',''],
    ['433','KCP Majenang','CILACAP','','2013-04-25',''],
    ['434','KCP Lomanis','CILACAP','','2013-04-25',''],
    ['8930','KCP Sidareja','CILACAP','','2013-04-25',''],
    ['327','KCP Palur','KARANGANYAR','','2013-04-25',''],
    ['185','KCP Bangkalan','BANGKALAN','','2013-04-25',''],
]
;
#END SNIPPET id=data
my $data_hash = {};
$data_hash->{$_->[0]} = $_ for @$data;

#BEGIN SNIPPET id=meta
# note: This section is generated by a script. Do not edit manually!
# src-file: /mnt/home/s1/repos/gudangdata/table/bca_branch/meta.yaml
# src-revision: fa892bf5a0d1866ac3ee47acf7f05c8f3c6799b1
# revision-date: Thu Apr 25 11:03:29 2013 +0700
# generate-date: Thu Apr 25 11:07:21 2013
# generated-by: /mnt/home/s1/repos/gudangdata/bin/gen-perl-meta-snippet
our $meta = {
  "fields" => {
    city_code => {
      "index" => 3,
      "schema" => "str*",
      "sortable" => 1,
      "summary" => "City code, TBD",
      "summary.alt.lang.id_ID" => "Kode kota",
    },
    city_name => {
      "index" => 2,
      "schema" => "str*",
      "sortable" => 1,
      "summary" => "City name",
      "summary.alt.lang.id_ID" => "Nama kota",
    },
    code => {
      "index" => 0,
      "schema" => ["str*", "match", "^\\d{3,4}\$"],
      "sortable" => 1,
      "summary" => "Code",
      "summary.alt.lang.id_ID" => "Kode",
      "unique" => 1,
    },
    ctime => { index => 4, schema => "str*" },
    name => {
      "index" => 1,
      "schema" => "str*",
      "summary" => "Name",
      "summary.alt.lang.id_ID" => "Nama",
    },
    note => { index => 5, schema => "str*" },
  },
  "pk" => "code",
  "summary" => "BCA branches",
  "summary.alt.lang.id_ID" => "Kantor cabang BCA",
  "table_aliases.alt.lang.id_ID" => ["kantor_cabang_bca"],
}
;
#END SNIPPET id=meta
my $res = gen_read_table_func(
    name => 'list_bca_branches',
    table_data => $data,
    table_spec => $meta,
    default_fields => 'code',
    #langs => ['en_US', 'id_ID'],
);
die "BUG: Can't generate func: $res->[0] - $res->[1]" unless $res->[0] == 200;

$SPEC{parse_bca_account} = {
    v => 1.1,
    summary => 'Parse/validate BCA account number',
    description => <<'_',

Upon success/valid number, return status 200 with hash containing parsed
information. Upon invalid number, return 400. Parsed information contains these
keys:

- `branch_code`
- `branch_name`
- `branch_city_name` (not yet)
- `branch_city_code` (not yet)
- `account` (10-digits)
- `account_f` (canonically-formatted account number, e.g. 123.456789.0)
- `is_checking` (bool, true if detected as checking account [giro])
- `check_digit`

_
    args => {
        account => {
            schema => 'str*',
            req => 1,
            pos => 0,
        },
        check_known_branches => {
            summary => 'Check branch code against list of known branches',
            schema => [bool => default => 0],
            description => <<'_',

List of known branches

_
        },
    },
};
sub parse_bca_account {
    my %args = @_;

    my $acc = $args{account};
    defined($acc) or return [400, "Please specify account"];
    $acc =~ s/\D+//g;
    length($acc) == 10 or return [400, "Account number must be 10 digits"];

    my $parsed = {account=>$acc};

    my ($branch, $local, $check);
    if ($acc =~ /^[5-9]/) {
        ($branch, $local, $check) = $acc =~ /^(.{4})(.{5})(.)$/;
    } else {
        ($branch, $local, $check) = $acc =~ /^(.{3})(.{6})(.)$/;
    }
    $parsed->{account_f}   = sprintf("%s.%s.%s", $branch, $local, $check);
    $parsed->{branch_code} = $branch;
    $parsed->{check_digit} = $check;

    # XXX validate check digit

    if ($args{check_known_branches}) {
        $data_hash->{$branch} or return [400, "Unknown branch code '$branch'"];
    }
    if (my $bdata = $data_hash->{$branch}) {
        $parsed->{branch_name} = $bdata->[1];
        $parsed->{branch_city_name} = $bdata->[2];
        # XXX city_code
    }

    if ($local =~ /^1/) {
        $parsed->{is_checking} = 0; # tahapan
    } elsif ($local =~ /^3/) {
        $parsed->{is_checking} = 1; # giro
    }

    [200, "OK", $parsed];
}

#ABSTRACT: Parse/validate BCA account number


__END__
=pod

=encoding utf-8

=head1 NAME

Business::ID::BCA - Parse/validate BCA account number

=head1 VERSION

version 0.02

=head1 SYNOPSIS

 use Business::ID::BCA::Account qw(parse_bca_account);
 my $res = parse_bca_account(account => '6000327555');

=head1 DESCRIPTION

This module parses/validates BCA account number. BCA (Bank Central Asia) is one
of the major banks in Indonesia.

It also contains a routine to list known BCA branches. Data is retrieved from
the Gudang Data project (http://github.com/sharyanto/gudangdata ).

Indonesian keywords: struktur nomor rekening BCA, format rekening BCA, daftar
kode cabang BCA

=head1 BUGS/NOTES

Check digit checking is not implemented yet. Anybody knows the algorithm used?

=head1 AUTHOR

Steven Haryanto <stevenharyanto@gmail.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Steven Haryanto.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=head1 FUNCTIONS


None are exported by default, but they are exportable.

=head2 list_bca_branches(%args) -> [status, msg, result, meta]

BCA branches.

REPLACE ME

Data is in table form. Table fields are as follow:

=over

=item *

I<code> (ID field): Code



=item *

I<name>: Name



=item *

I<city_name>: City name



=item *

I<city_code>: City code, TBD



=item *

I<ctime>



=item *

I<note>



=back

Arguments ('*' denotes required arguments):

=over 4

=item * B<city_code> => I<str>

Only return records where the 'city_code' field equals specified value.

=item * B<city_code.contains> => I<str>

Only return records where the 'city_code' field contains specified text.

=item * B<city_code.is> => I<str>

Only return records where the 'city_code' field equals specified value.

=item * B<city_code.max> => I<str>

Only return records where the 'city_code' field is less than or equal to specified value.

=item * B<city_code.min> => I<array>

Only return records where the 'city_code' field is greater than or equal to specified value.

=item * B<city_code.not_contains> => I<str>

Only return records where the 'city_code' field does not contain a certain text.

=item * B<city_code.xmax> => I<str>

Only return records where the 'city_code' field is less than specified value.

=item * B<city_code.xmin> => I<array>

Only return records where the 'city_code' field is greater than specified value.

=item * B<city_name> => I<str>

Only return records where the 'city_name' field equals specified value.

=item * B<city_name.contains> => I<str>

Only return records where the 'city_name' field contains specified text.

=item * B<city_name.is> => I<str>

Only return records where the 'city_name' field equals specified value.

=item * B<city_name.max> => I<str>

Only return records where the 'city_name' field is less than or equal to specified value.

=item * B<city_name.min> => I<array>

Only return records where the 'city_name' field is greater than or equal to specified value.

=item * B<city_name.not_contains> => I<str>

Only return records where the 'city_name' field does not contain a certain text.

=item * B<city_name.xmax> => I<str>

Only return records where the 'city_name' field is less than specified value.

=item * B<city_name.xmin> => I<array>

Only return records where the 'city_name' field is greater than specified value.

=item * B<code> => I<str>

Only return records where the 'code' field equals specified value.

=item * B<code.contains> => I<str>

Only return records where the 'code' field contains specified text.

=item * B<code.is> => I<str>

Only return records where the 'code' field equals specified value.

=item * B<code.max> => I<str>

Only return records where the 'code' field is less than or equal to specified value.

=item * B<code.min> => I<array>

Only return records where the 'code' field is greater than or equal to specified value.

=item * B<code.not_contains> => I<str>

Only return records where the 'code' field does not contain a certain text.

=item * B<code.xmax> => I<str>

Only return records where the 'code' field is less than specified value.

=item * B<code.xmin> => I<array>

Only return records where the 'code' field is greater than specified value.

=item * B<ctime> => I<str>

Only return records where the 'ctime' field equals specified value.

=item * B<ctime.contains> => I<str>

Only return records where the 'ctime' field contains specified text.

=item * B<ctime.is> => I<str>

Only return records where the 'ctime' field equals specified value.

=item * B<ctime.max> => I<str>

Only return records where the 'ctime' field is less than or equal to specified value.

=item * B<ctime.min> => I<array>

Only return records where the 'ctime' field is greater than or equal to specified value.

=item * B<ctime.not_contains> => I<str>

Only return records where the 'ctime' field does not contain a certain text.

=item * B<ctime.xmax> => I<str>

Only return records where the 'ctime' field is less than specified value.

=item * B<ctime.xmin> => I<array>

Only return records where the 'ctime' field is greater than specified value.

=item * B<detail> => I<bool> (default: 0)

Return array of full records instead of just ID fields.

By default, only the key (ID) field is returned per result entry.

=item * B<fields> => I<array> (default: "code")

Select fields to return.

=item * B<name> => I<str>

Only return records where the 'name' field equals specified value.

=item * B<name.contains> => I<str>

Only return records where the 'name' field contains specified text.

=item * B<name.is> => I<str>

Only return records where the 'name' field equals specified value.

=item * B<name.max> => I<str>

Only return records where the 'name' field is less than or equal to specified value.

=item * B<name.min> => I<array>

Only return records where the 'name' field is greater than or equal to specified value.

=item * B<name.not_contains> => I<str>

Only return records where the 'name' field does not contain a certain text.

=item * B<name.xmax> => I<str>

Only return records where the 'name' field is less than specified value.

=item * B<name.xmin> => I<array>

Only return records where the 'name' field is greater than specified value.

=item * B<note> => I<str>

Only return records where the 'note' field equals specified value.

=item * B<note.contains> => I<str>

Only return records where the 'note' field contains specified text.

=item * B<note.is> => I<str>

Only return records where the 'note' field equals specified value.

=item * B<note.max> => I<str>

Only return records where the 'note' field is less than or equal to specified value.

=item * B<note.min> => I<array>

Only return records where the 'note' field is greater than or equal to specified value.

=item * B<note.not_contains> => I<str>

Only return records where the 'note' field does not contain a certain text.

=item * B<note.xmax> => I<str>

Only return records where the 'note' field is less than specified value.

=item * B<note.xmin> => I<array>

Only return records where the 'note' field is greater than specified value.

=item * B<q> => I<str>

Search.

=item * B<random> => I<bool> (default: 0)

Return records in random order.

=item * B<result_limit> => I<int>

Only return a certain number of records.

=item * B<result_start> => I<int> (default: 1)

Only return starting from the n'th record.

=item * B<sort> => I<str>

Order records according to certain field(s).

A list of field names separated by comma. Each field can be prefixed with '-' to
specify descending order instead of the default ascending.

=item * B<with_field_names> => I<bool>

Return field names in each record (as hash/associative array).

When enabled, function will return each record as hash/associative array
(field name => value pairs). Otherwise, function will return each record
as list/array (field value, field value, ...).

=back

Return value:

Returns an enveloped result (an array). First element (status) is an integer containing HTTP status code (200 means OK, 4xx caller error, 5xx function error). Second element (msg) is a string containing error message, or 'OK' if status is 200. Third element (result) is optional, the actual result. Fourth element (meta) is called result metadata and is optional, a hash that contains extra information.

=head2 parse_bca_account(%args) -> [status, msg, result, meta]

Parse/validate BCA account number.

Upon success/valid number, return status 200 with hash containing parsed
information. Upon invalid number, return 400. Parsed information contains these
keys:

=over

=item *

C<branch_code>


=item *

C<branch_name>


=item *

C<branch_city_name> (not yet)


=item *

C<branch_city_code> (not yet)


=item *

C<account> (10-digits)


=item *

C<account_f> (canonically-formatted account number, e.g. 123.456789.0)


=item *

C<is_checking> (bool, true if detected as checking account [giro])


=item *

C<check_digit>


=back

Arguments ('*' denotes required arguments):

=over 4

=item * B<account>* => I<str>

=item * B<check_known_branches> => I<bool> (default: 0)

Check branch code against list of known branches.

List of known branches

=back

Return value:

Returns an enveloped result (an array). First element (status) is an integer containing HTTP status code (200 means OK, 4xx caller error, 5xx function error). Second element (msg) is a string containing error message, or 'OK' if status is 200. Third element (result) is optional, the actual result. Fourth element (meta) is called result metadata and is optional, a hash that contains extra information.

=cut

